<? 
ini_set('memory_limit', '2048M');

//автоматическая привязка новостей и статей к товарам
define("CATALOG_IBLOCK_ID", 44);
define("NEWS_IBLOCK_ID", 70);
define("ARTICLES_IBLOCK_ID", 69);

//добавили обработчик события на добавление и обновление элемента инфоблока
AddEventHandler("iblock", "OnAfterIBlockElementAdd", "linkNewsToProduct");
AddEventHandler("iblock", "OnAfterIBlockElementUpdate", "linkNewsToProduct");

function linkNewsToProduct(&$arFields){
	$iblockId = $arFields['IBLOCK_ID'];
	if ($iblockId == NEWS_IBLOCK_ID || $iblockId == ARTICLES_IBLOCK_ID) {   //добавляем условие, чтобы обр-сь событие инфоблока новости или статьи
		$newsId = $arFields['ID'];
		$propCode = $iblockId == NEWS_IBLOCK_ID ? "NEWS" : "ARTICLES";

		$res = CIBlockElement::GetList(Array(), array('ID' => $newsId, 'IBLOCK_ID' => $iblockId), false, false, array('ID', 'DETAIL_TEXT')); //собираем новости
		if($arNews = $res->Fetch()){
			if(strlen($arNews['DETAIL_TEXT'])){
				// находим в тексте названия товаров
				$re = '/<span[^>]*>([^<]*)<\/span[^>]*>/Ui'; // ищет в тексте слова, обернутые в span
				preg_match_all($re, $arNews['DETAIL_TEXT'], $arMatches, PREG_SET_ORDER, 0);
				foreach ($arMatches as $valueMatches) {
					$arProductsNames[] = $valueMatches[1]; // в первом элементе хранится содержимое между span, без самих span
				}

				foreach($arProductsNames as $productName){
					$productId = false;
					$arNewsValue = Array();
					$arFilter = Array("IBLOCK_ID"=> CATALOG_IBLOCK_ID, "ACTIVE"=>"Y", "GLOBAL_ACTIVE"=>"Y", "NAME"=>$productName);
					$res = CIBlockElement::GetList(Array(), $arFilter, false, false, Array("ID", "PROPERTY_".$propCode)); //собираем товары
					while($arItem = $res->fetch()){
						$productId = $arItem['ID'];
						if (strlen($arItem["PROPERTY_".$propCode."_VALUE"])) {
							$arNewsValue[] = $arItem["PROPERTY_".$propCode."_VALUE"];
						}
					}				

					if($productId){
						if(!in_array($newsId, $arNewsValue)){
							// add news to product
							$arNewsValue[] = $newsId;
							CIBlockElement::SetPropertyValuesEx($productId, CATALOG_IBLOCK_ID, array($propCode => $arNewsValue)); //добавляем в свойство NEWS новое значение
						} 
					}
				}
			}
		}
	}
};